/*
 * Copyright (c) 2005-2006 Tom N Harris.
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     A copy of the GNU General Public License can be found at
 *     http://www.gnu.org/
 *
 * Written by Tom N Harris <telliamed@whoopdedo.org>
 *
 */

#ifndef SETUP_FINISH_H
#define SETUP_FINISH_H

#include "PropPage.h"

namespace Setup
{

class InstallSuccessPage : public PropertyPage
{
public:
	InstallSuccessPage()
	{
	};
	virtual ~InstallSuccessPage()
	{
	};

	bool create();
	virtual void onActivate();
	long onUnattended()
	{
		return 0;
	};
};

class InstallNothingPage : public PropertyPage
{
public:
	InstallNothingPage()
	{
	};
	virtual ~InstallNothingPage()
	{
	};

	bool create();
	virtual void onActivate();
	long onUnattended()
	{
		return 0;
	};
};

class InstallFailPage : public PropertyPage
{
public:
	InstallFailPage()
	{
	};
	virtual ~InstallFailPage()
	{
	};

	bool create();
	virtual void onActivate();
	long onUnattended()
	{
		return 0;
	};
};

};

#endif /* SETUP_FINISH_H */
